SDL_scalbn(3)

NAME
SDL_scalbn - Scale x by an integer power of two.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_scalbn(double x, int n);

DESCRIPTION
Multiplies x by the n th power of the floating point radix (always 2). Domain: -INF<=x<=INF , n integer Range: -INF<=y<=INF This function operates on double-precision floating point values, use SDL_scalbnf
 for single-precision floats.

FUNCTION PARAMETERS

x   floating point value to be scaled

n   integer exponent

RETURN VALUE
Returns x*2^n

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_scalbnf(3), SDL_pow(3)